skb_cow_head
Prev | Socket Buffer Functions | Next

## Name

skb_cow_head — skb_cow but only making the head writable

## Synopsis

`int skb_cow_head (` | struct sk_buff * | skb,
| unsigned int | headroom`)`;

## Arguments

`skb`

  buffer to cow

`headroom`

  needed headroom

## Description

This function is identical to skb_cow except that we replace the skb_cloned check by skb_header_cloned. It should be used when you only need to push on some header and do not need to modify the data.

Prev | Up | Next
skb_cow | Home | skb_padto